Ticket #43475

PuTTY 0.76 ソースコードを利用した Pageant との連携

Open Date: 2021-12-25 23:14 Last Update: 2022-01-04 00:41

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

r9626 で、使用するソースコードを PuTTY 0.76 のものにした

Pageant 認証できるか、認証鍵の暗号アルゴリズム(正しくは PubkeyAcceptedKeyTypes ではなく PubKeyAcceptedAlgorithms なので署名アルゴリズムだけど、rsa-sha2-256, rsa-sha2-512 にはまだ対応していない)を全種類試す

Ticket History (3/4 Histories)

2021-12-25 23:14 Updated by: nmaya
  • New Ticket "PuTTY 0.76 ソースコードを利用した Pageant との連携" created
2021-12-25 23:15 Updated by: nmaya
  • Resolution Update from None to Accepted
Comment
  • 使用バイナリ

https://osdn.net/projects/ttssh2/storage/snapshot/snapshot-r9626-20211224-maya-putty_0_76.zip

  • 結果
    認証エージェント転送
    rsa1
    ssh-dss
    ssh-rsa
    ecdsa-sha2-nistp256
    ecdsa-sha2-nistp384
    ecdsa-sha2-nistp521
    ssh-ed25519
2021-12-29 00:58 Updated by: nmaya
2022-01-04 00:41 Updated by: nmaya
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

r9662 で trunk にマージしました。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login